Author Topic: pkg-config and autotools  (Read 3536 times)

Offline afb

  • Developer
  • Lives here!
  • *****
  • Posts: 884
pkg-config and autotools
« on: November 20, 2006, 01:04:26 am »
Will change the current `pkg-config --libs gtk+-2.0` over to $(WX_GTK2_LIBS)
The new variable will be set to $GTK2_LIBS (i.e. the same thing) on wxGTK only.

Makefile.am:
Code
libwxaui_la_LDFLAGS = $(WX_GTK2_LIBS)

We also need to add these GTK+ libraries to wxAUI linking, since wxAUI uses some
functions from GTK+ directly (without wx) and that fails to link on certain platforms.


Likewise there will be a similarly autotoolized variable $(WX_MAC_LIBS) that
will be set to the usual $(WX_LIBS) on wxMac, and nothing on other platforms.

Makefile.am:
Code
whatever_la_LIBADD = $(WX_MAC_LIBS) ../../sdk/libcodeblocks.la

All plugins will need to have a line like this, or they fail to build when using autotools.
(at least they do when following the Mac OS X build procedure outlined on the Wiki ?)


This is so that: a) it will stop complaining about and/or linking to GTK+ when compiling for other wx Toolkits
b) I will stop having to patch each and every Code::Blocks release for wxMac which is a pain in the ... neck.

https://developer.berlios.de/bugs/?func=detailbug&bug_id=8821&group_id=5358
http://developer.berlios.de/patch/?func=detailpatch&patch_id=1395&group_id=5358

It shouldn't change anything in practice for other usage.

Offline afb

  • Developer
  • Lives here!
  • *****
  • Posts: 884
Re: pkg-config and autotools
« Reply #1 on: November 29, 2006, 08:53:43 pm »
Drat, a new plugin (regex_testbed) broke the Mac builds again... Time to fix the Makefiles.

It will also be nice to skip the http://www.algonet.se/~afb/wx/codeblocks-wxauigtk.patch...